# eric5.Plugins.CheckerPlugins.Pep8.Pep8Dialog

Module implementing a dialog to show the results of the PEP 8 check.

### Global Attributes

None

### Classes

Pep8Dialog | Class implementing a dialog to show the results of the PEP 8 check.

### Functions

None

## Pep8Dialog

Class implementing a dialog to show the results of the PEP 8 check.

### Derived from

QDialog, Ui_Pep8Dialog

### Class Attributes

filenameRole
lineRole
messageRole
positionRole
settingsKey

### Class Methods

None

### Methods

Pep8Dialog | Constructor
__clearErrors | Private method to clear all warning markers of open editors.
__createResultItem | Private method to create an entry in the result list.
__finish | Private slot called when the PEP 8 check finished or the user pressed the cancel button.
__resetStatistics | Private slot to reset the statistics data.
__resort | Private method to resort the tree.
__updateStatistics | Private method to update the collected statistics.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_excludeMessagesSelectButton_clicked | Private slot to select the message codes to be excluded via a selection dialog.
on_fixIssuesSelectButton_clicked | Private slot to select the issue codes to be fixed via a selection dialog.
on_includeMessagesSelectButton_clicked | Private slot to select the message codes to be included via a selection dialog.
on_loadDefaultButton_clicked | Private slot to load the default configuration values.
on_resultList_itemActivated | Private slot to handle the activation of an item.
on_showButton_clicked | Private slot to handle the "Show" button press.
on_startButton_clicked | Private slot to start a PEP 8 check run.
on_statisticsButton_clicked | Private slot to show the statistics dialog.
on_storeDefaultButton_clicked | Private slot to store the current configuration values as default values.
prepare | Public method to prepare the dialog with a list of filenames.
start | Public slot to start the PEP 8 check.

### Static Methods

None

#### Pep8Dialog (Constructor)

Pep8Dialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### Pep8Dialog.__clearErrors

__clearErrors()

Private method to clear all warning markers of open editors.

#### Pep8Dialog.__createResultItem

__createResultItem(file, line, pos, message, fixed)

Private method to create an entry in the result list.

file
  file name of the file (string)
line
  line number of issue (integer or string)
pos
  character position of issue (integer or string)
message
  message text (string)
fixed
  flag indicating a fixed issue (boolean)

#### Pep8Dialog.__finish

__finish()

Private slot called when the PEP 8 check finished or the user pressed the cancel button.

#### Pep8Dialog.__resetStatistics

__resetStatistics()

Private slot to reset the statistics data.

#### Pep8Dialog.__resort

__resort()

Private method to resort the tree.

#### Pep8Dialog.__updateStatistics

__updateStatistics(statistics, fixer)

Private method to update the collected statistics.

statistics
  dictionary of statistical data with message code as key and message count as value
fixer
  reference to the PEP 8 fixer (Pep8Fixer)

#### Pep8Dialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### Pep8Dialog.on_excludeMessagesSelectButton_clicked

on_excludeMessagesSelectButton_clicked()

Private slot to select the message codes to be excluded via a selection dialog.

#### Pep8Dialog.on_fixIssuesSelectButton_clicked

on_fixIssuesSelectButton_clicked()

Private slot to select the issue codes to be fixed via a selection dialog.

#### Pep8Dialog.on_includeMessagesSelectButton_clicked

on_includeMessagesSelectButton_clicked()

Private slot to select the message codes to be included via a selection dialog.

#### Pep8Dialog.on_loadDefaultButton_clicked

on_loadDefaultButton_clicked()

Private slot to load the default configuration values.

#### Pep8Dialog.on_resultList_itemActivated

on_resultList_itemActivated(item, column)

Private slot to handle the activation of an item.

item
  reference to the activated item (QTreeWidgetItem)
column
  column the item was activated in (integer)

#### Pep8Dialog.on_showButton_clicked

on_showButton_clicked()

Private slot to handle the "Show" button press.

#### Pep8Dialog.on_startButton_clicked

on_startButton_clicked()

Private slot to start a PEP 8 check run.

#### Pep8Dialog.on_statisticsButton_clicked

on_statisticsButton_clicked()

Private slot to show the statistics dialog.

#### Pep8Dialog.on_storeDefaultButton_clicked

on_storeDefaultButton_clicked()

Private slot to store the current configuration values as default values.

#### Pep8Dialog.prepare

prepare(fileList, project)

Public method to prepare the dialog with a list of filenames.

fileList
  list of filenames (list of strings)
project
  reference to the project object (Project)

#### Pep8Dialog.start

start(fn, save=False, repeat=None)

Public slot to start the PEP 8 check.

fn
  file or list of files or directory to be checked (string or list of strings)
save=
  flag indicating to save the given file/file list/directory (boolean)
repeat=
  state of the repeat check box if it is not None (None or boolean)

Up